.login-div {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
  }
  
  .login-div label {
    font-weight: bold;
    color:white;
    text-transform:uppercase;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
    margin-bottom: 10px;
    font-size:20px;
  }
  
  .login-div input[type="text"],
  .login-div input[type="password"] {
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #000000;
    border-radius: 4px;
    width: 250px;
  }
  
  .login-div button[type="submit"] {
    padding: 10px 20px;
    background-color: #ff5722; /* Library-themed color */
    color: #fff;
    border-style:groove;
    border-color:transparent;
    border-radius: 6px;
    cursor: pointer;
    margin: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4); 
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
    text-transform: uppercase;
    font-weight:bold;
    font-size:15px;
  }
  
  .login-div button[type="submit"]:hover {
    background-color: #a03106cb;
  }
  .login-div input[type="date"] {
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #000000;
    border-radius: 4px;
    width: 250px;
    background-color: #ffffff;
    color: #000000;
    font-family: Arial, sans-serif;
    font-size: 14px;
  }
  
  .login-div input[type="date"]::-webkit-inner-spin-button,
  .login-div input[type="date"]::-webkit-calendar-picker-indicator {
    display: none;
  }
  .login-container {
    background-color: transparent;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
  }
  
  .login-container:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
  .login-div input[type="date"]::after {
    content: "\25BC"; /* Down arrow */
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    color: #666;
    pointer-events: none;
  }
  
  .login-div input[type="date"]:hover::after {
    color: #333;
  }
  .register-link {
    margin-top:20px;
    text-align: center;
    font-size: 18px;
    color:white;
    font-weight:bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
  }
  
  .register-link a {
    text-shadow: 2px 2px 4px rgb(75, 57, 57);
    color: #78b5fa;
    font-size:20px;
    text-decoration: none;
    font-weight:bold;
  }
  
  .register-link a:hover {
    text-decoration: underline;
  }

  .logout-button {
    background-color: #a08e72;
    color: #fff;
  }
  .register-container{
    background-color: transparent;
    padding-right:50px;
    padding-left:50px;
    margin-top:50px;
    margin-left:auto;
    margin-right:auto;
    margin-bottom:auto;
    width:500px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
  }
.LoginError{
  color:red;
  text-transform:uppercase;
}